%define anolis_release 1
Name:           chkconfig
Version:        1.25
Release:        %{anolis_release}%{?dist}
Summary:        A system tool for maintaining the /etc/rc*.d hierarchy

License:        GPLv2
URL:            https://github.com/fedora-sysv/chkconfig
Source0:        https://github.com/fedora-sysv/chkconfig/archive/refs/tags/%{version}.tar.gz

BuildRequires:  newt-devel gettext popt-devel libselinux-devel beakerlib gcc systemd-devel make

%description

Chkconfig is a command-line utility in Linux that allows you to update and 
query runlevel information for system services. It manipulates the numerous 
symbolic links in /etc/rc.d, which relieves system administrators of some of 
the drudgery of manually editing the symbolic links.

%package -n ntsysv
Summary: A ultility to manipulate state of system services in a runlevel
Requires: chkconfig = %{version}-%{release}

%description -n ntsysv
Ntsysv is a command-line utility in Linux that provides a simple interface 
for configuring runlevel services which are also configurable through 
chkconfig. It configures which system services are started or stopped 
in various runlevels instead of directly manipulating the numerous symbolic 
links in /etc/rc.d. By default, it configures the current runlevel (5 if 
you’re using X)

%package -n alternatives
Summary: A ultility to manage symbolic links determining default commands

%description -n alternatives
The alternatives package in Linux creates, removes, maintains and displays 
information about the symbolic links comprising the alternatives system. 
It is possible for several programs fulfilling the same or similar functions 
to be installed on a single system at the same time.

%prep
%autosetup

%build
%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install MANDIR=%{_mandir} SBINDIR=%{_sbindir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
ln -s rc.d/init.d $RPM_BUILD_ROOT/etc/init.d
for n in $(seq 0 6); do
    mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/rc${n}.d
    ln -s rc.d/rc${n}.d $RPM_BUILD_ROOT/etc/rc${n}.d
done
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/chkconfig.d

%find_lang %{name}
%generate_compatibility_deps

%files -f %{name}.lang
%defattr(-,root,root)
%{_sbindir}/chkconfig
%{_sysconfdir}/rc.d
%{!?_licensedir:%global license %%doc}
%{_mandir}/*/chkconfig*
%{_sysconfdir}/rc.d/init.d
%{_sysconfdir}/rc.d/rc[0-6].d
%license COPYING
%{_sysconfdir}/chkconfig.d
%{_sysconfdir}/init.d
%{_sysconfdir}/rc[0-6].d
%{_prefix}/lib/systemd/systemd-sysv-install

%files -n ntsysv
%defattr(-,root,root)
%{_sbindir}/ntsysv
%{_mandir}/*/ntsysv.8*

%files -n alternatives
%{abidir}/alternatives-option.list
%dir %{_sysconfdir}/alternatives
%{_mandir}/*/update-alternatives*
%{_sbindir}/alternatives
%{_sbindir}/update-alternatives
%dir %{_sharedstatedir}/alternatives
%license COPYING
%{_mandir}/*/alternatives*
%dir %{abidir}

%changelog
* Tue Feb 20 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.25-1
- update to 1.25

* Mon Apr 10 2023 Zhongling <zhonglingh@linux.alibaba.com> - 1.21-2
- Refactor rpm spec

* Wed Dec 28 2022 Heng Qi <hengqi@linux.alibaba.com> - 1.21-1
- update to 1.21

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.20-2
- optimise spec file

* Thu Mar 10 2022 forrest_ly <flin@linux.alibaba.com> - 1.20-1
- Init for Anolis OS 23 
